aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/zfs.sh
diff options
context:
space:
mode:
authorBrian Behlendorf <[email protected]>2014-04-10 10:44:00 -0700
committerBrian Behlendorf <[email protected]>2014-04-10 14:27:00 -0700
commit443c3f73321d18d0092b11390e628e3de9d15d7c (patch)
tree605e2a9c91650f42f71f53d707f562dbd47d770f /scripts/zfs.sh
parent6ac770b1961b9468daf0c69eae6515c608535789 (diff)
Improve zfs.sh error messages
Ensure an error message is logged when the 'zfs.sh' script fails to either load a module or if udev fails to create the /dev/zfs device. Error messages for missing KERNEL_MODULES are suppressed because that functionality may just be built-in to the kernel. Signed-off-by: Brian Behlendorf <[email protected]>
Diffstat (limited to 'scripts/zfs.sh')
-rwxr-xr-xscripts/zfs.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/zfs.sh b/scripts/zfs.sh
index b21d2e7cf..b97a0577f 100755
--- a/scripts/zfs.sh
+++ b/scripts/zfs.sh
@@ -72,8 +72,8 @@ if [ ${UNLOAD} ]; then
else
stack_clear
check_modules || die "${ERROR}"
- load_modules "$@"
- wait_udev /dev/zfs 30
+ load_modules "$@" || die "Failed to load modules"
+ wait_udev /dev/zfs 30 || die "'/dev/zfs' was not created"
fi
exit 0